
!ClassCommentSubstitute methodsFor: '*ShoutWhisker-addition' stamp: 'tween 9/13/2004 12:09'!
shoutAboutToStyle: aPluggableShoutMorph 

	^false! !

!MethodSubstitute methodsFor: '*ShoutWhisker-addition' stamp: 'tween 2/10/2008 08:55'!
shoutAboutToStyle: aPluggableShoutMorph 
	aPluggableShoutMorph classOrMetaClass: self theNonMetaclass.
	^true! !

!WhiskerWindow methodsFor: '*ShoutWhisker-override' stamp: 'tween 2/10/2008 08:59'!
insertMethodPane: aMethodSubstitute atIndex: index
	"add a new method pane to the method pane column"
	| methodMorph titledMorph classPane listItemMorph |

	methodMorph := MorphicTextEditor default
		on: aMethodSubstitute
		text: #contents
		accept: #contents:notifying:
		readSelection: #contentsSelection
		menu: #codePaneMenu:shifted:.
	methodMorph font: Preferences standardCodeFont.
	titledMorph := TitledPane newWithContents: methodMorph.

	self
		addMorph: titledMorph
		inFrontOf: self firstSubmorph   "(needed so that flopout scrollbars aren't obscured)"
		frame: (self classColumnRightBorder @ 0 corner: 1@1).

	classPane := self classPaneForClass: aMethodSubstitute theNonMetaclass.
	listItemMorph := classPane contentsPane findItemMorph: aMethodSubstitute.
	"The listItemMorph must know about its corresponding titled pane, in case the pane is closed."
	titledMorph addDependent: listItemMorph.

	self colorAndTitleMethodPane: titledMorph forMethod: aMethodSubstitute.

	methodPanes add: titledMorph afterIndex: index - 1.
	self hideTitleBarsForPanes: methodPanes at: index.
	self autoResizeColumnOfPanes: methodPanes.
	self methodPanes: methodPanes.! !
